Page MenuHomePhabricator

[RISCV] Clean up parsing floating point rounding mode
AcceptedPublic

Authored by jrtc27 on Mar 6 2021, 12:03 PM.

Details

Summary

Currently this is done rather hackily by letting it be parsed as an
MCSymbolRefExpr whose name we then validate. Instead, use a custom
parser so we look at the identifier token directly and construct
the immediate at the same time.

Diff Detail

Event Timeline

jrtc27 created this revision.Mar 6 2021, 12:03 PM
jrtc27 requested review of this revision.Mar 6 2021, 12:03 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 6 2021, 12:03 PM
luismarques accepted this revision.Mar 15 2021, 1:18 AM

LGTM. Nice clean-up!

This revision is now accepted and ready to land.Mar 15 2021, 1:18 AM
asb accepted this revision.Mar 18 2021, 8:38 AM

This is much better, thank you.